Bug 12626 - mc некорректно распаковывает архивы с пробелом в имени
: mc некорректно распаковывает архивы с пробелом в имени
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mc)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-08-24 19:14 by
Modified: 2008-03-17 23:21 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-08-24 19:14:47
Если имя архива содержит пробел (к примеру "test mc.tar.bz2"), то по нажатии F2
z в mc происходит следующее:
 - создается каталог test и внутрь его разрахивируется контент архива
 - создается пустой каталог mc

пример лежит по адресу http://old.linux.kiev.ua:8080/~adiel/files/alt/mcbug/ --
был создан test-mc.tar.bz2, потом переименован в "test mc.tar.bz2".

Offtop: Обнаружено юзером, которому установлен Линукс. По его словам, это важно
для тех, кто привык в FAR|NC и т д открывать архивы.
------- Comment #1 From 2007-08-25 17:33:49 -------
(In reply to comment #0)
> Если имя архива содержит пробел (к примеру "test mc.tar.bz2"), то по нажатии F2
> z в mc происходит следующее:
>  - создается каталог test и внутрь его разрахивируется контент архива
>  - создается пустой каталог mc
> 
> пример лежит по адресу http://old.linux.kiev.ua:8080/~adiel/files/alt/mcbug/ --
> был создан test-mc.tar.bz2, потом переименован в "test mc.tar.bz2".
> 

Как ни нажимал на F2 -- не воспороизводится.
------- Comment #2 From 2007-08-25 18:30:53 -------
(In reply to comment #1)
> Как ни нажимал на F2 -- не воспороизводится.

Воспроизводится. Я видимо не то жмакал. :)
------- Comment #3 From 2008-03-16 23:08:16 -------
Fixed in git by quoting mkdir(1) argument.
------- Comment #4 From 2008-03-17 23:21:31 -------
4.6.2-alt5.pre1